summaryrefslogtreecommitdiff
path: root/tests/cp
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2010-10-26 17:55:10 +0100
committerPádraig Brady <P@draigBrady.com>2010-10-27 11:18:51 +0100
commit883ac22239036025896ff99bd4b2a6d02712f39f (patch)
tree93bd2ebfec80b218b8fd55f144a77a4d27ce8a3d /tests/cp
parent0d792d061e460fd5dfe6e4226f96bbc3b8788199 (diff)
downloadcoreutils-883ac22239036025896ff99bd4b2a6d02712f39f.tar.xz
cp: make --attributes-only override --reflink completely
* doc/coreutils.texi (cp invocation): Change the description slightly so as users might not immediately discount using this option. Mention that --reflink is overridden by the other linking options and --attributes-only, and give an example where this might be useful. * src/copy.c (copy_internal): Bypass the reflink if --attributes-only is specifed. * tests/cp/reflink-perm: Ensure both --reflink modes are overridden by --attributes-only. * NEWS: Mention the change in behavior. Reported by Jim Meyering.
Diffstat (limited to 'tests/cp')
-rwxr-xr-xtests/cp/reflink-perm3
1 files changed, 3 insertions, 0 deletions
diff --git a/tests/cp/reflink-perm b/tests/cp/reflink-perm
index 77f119f4a..e1c12aa5a 100755
--- a/tests/cp/reflink-perm
+++ b/tests/cp/reflink-perm
@@ -39,8 +39,11 @@ test "$mode" = "-rwxrwxrwx" || fail=1
test copy -nt file && fail=1
+# Ensure that --attributes-only overrides --reflink completely
echo > file2 # file with data
cp --reflink=auto --preserve --attributes-only file2 empty_copy || fail=1
test -s empty_copy && fail=1
+cp --reflink=always --preserve --attributes-only file2 empty_copy || fail=1
+test -s empty_copy && fail=1
Exit $fail